- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Properties | Friends

# QPanGesture Class Reference

Search for all occurrences

## Detailed Description

Definition at line 107 of file qgesture.h.

`#include <qgesture.h>`

Inheritance diagram for QPanGesture:
[legend]

List of all members.

## Public Member Functions
| QPanGesture (QObject *parent=0)
QPointF | lastOffset () const
QPointF | offset () const
QPointF | delta () const
qreal | acceleration () const
void | setLastOffset (const QPointF &value)
void | setOffset (const QPointF &value)
void | setAcceleration (qreal value)
## Properties
QPointF | lastOffset
QPointF | offset
QPointF | delta
qreal | acceleration
## Friends
class | QPanGestureRecognizer
class | QWinNativePanGestureRecognizer

## Constructor & Destructor Documentation

QPanGesture | ( | QObject * | parent = `0` | ) |

## Member Function Documentation

QPointF lastOffset | ( |  | ) | const

Search for all occurrences

QPointF offset | ( |  | ) | const

Search for all occurrences

QPointF delta | ( |  | ) | const

Search for all occurrences

qreal acceleration | ( |  | ) | const

Search for all occurrences

void setLastOffset | ( | const QPointF & | value | ) |

Search for all occurrences

void setOffset | ( | const QPointF & | value | ) |

Search for all occurrences

void setAcceleration | ( | qreal | value | ) |

Search for all occurrences

## Friends And Related Function Documentation

friend class QPanGestureRecognizer `[friend]`

Search for all occurrences

Definition at line 131 of file qgesture.h.

friend class QWinNativePanGestureRecognizer `[friend]`

Search for all occurrences

Definition at line 132 of file qgesture.h.

## Property Documentation

QPointF lastOffset `[read, write]`

Search for all occurrences

Definition at line 112 of file qgesture.h.

QPointF offset `[read, write]`

Search for all occurrences

Definition at line 113 of file qgesture.h.

QPointF delta `[read]`

Search for all occurrences

Definition at line 114 of file qgesture.h.

qreal acceleration `[read, write]`

Search for all occurrences

Definition at line 115 of file qgesture.h.

The documentation for this class was generated from the following file:

- QtGui/qgesture.h

QPanGesture QPanGesture QPanGesture QPanGesture QPanGesture QPanGesture QPanGesture QPanGesture QPanGesture QPanGesture
QPanGesture QPanGesture QPanGesture QPanGesture QPanGesture QPanGesture QPanGesture QPanGesture QPanGesture QPanGesture